@echo off

REM  RESETALL.BAT - BATCH FILE FOR RESETTING DOORMUD
REM    Use this batch file if you wish to reset your DOORMUD game, or if you
REM    wish to "un-do" a previous reset.

if exist server.mud goto cantdo

echo.
echo CHOOSE AN OPTION:
echo.
echo Y    Yes, I want to reset the game
echo N    No, I do not want to reset the game
echo U    Un-do a previous reset
echo.
choice /c:ynu Your selection 
if errorlevel 3 goto undo
if errorlevel 2 goto done
if errorlevel 1 goto resetall
goto done

:resetall
del lastupd.ref
del rank.lst
copy creature.dat creature.old
copy config.dat config.old
copy item.dat item.old
copy creature.res creature.dat
copy config.res config.dat
copy item.res item.dat
cls
echo Done.
goto done

:undo
if not exist config.old echo The game has not been reset before.
if not exist config.old goto done

del rank.lst
copy *.dat *.tmp
copy creature.old creature.dat
copy config.old config.dat
copy item.old item.dat
copy creature.tmp creature.old
copy config.tmp config.old
copy item.tmp item.old
del *.tmp
del lastupd.ref
cls
echo Done.
goto done

:cantdo
echo Sorry, the game is in use right now on another node.  Try again later.

:done

